//importing hooks from react, d3, and TOPOJSON
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson'
//importing jsonURL with sates of India
const jsonUrl =
  'https://raw.githubusercontent.com/deldersveld/topojson/master/countries/india/india-states.json';
//using useData() to share data across components depending on hooks
export const useData = () => {
  const [data, setData] = useState(null);
//doing side effects in components of function  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['IND_adm1']),
        	interiors: mesh(topojsonData, topojsonData.objects['IND_adm1'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};